﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    padding: 0;
}

/*html, body {
    height: 100%;
    overflow: hidden;
}*/

/* لضمان ملء الشاشة */
/*html, body {
    overflow: auto;*/
    /*height: auto;*/
    /*height: 100%;*/ /* يجعل الصفحة تغطي الشاشة بالكامل */
    /*margin: 0;*/ /* إزالة الهوامش الافتراضية */
/*}*/
/* حاوية المحتوى */
.content {
    min-height: calc(100vh - 119px);
}

/* التذييل */
.footer {
    min-height: 40px; /* ارتفاع التذييل */
}

/* لون الخلفية */
.gradient-custom {
    /* fallback for old browsers */
    background: #a88710;
    /* Chrome 10-25, Safari 5.1-6 */
    background: -webkit-linear-gradient(to right, #a88710, #60616726);
    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    background: linear-gradient(to right, #a88710, #60616726);
}

.swal2-container {
    z-index: 99999 !important;
}

article {
    height: calc(100vh - 70px);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

/*my style*/
.new-view-border {
    border-color: Gold !important;
}

.edit-view-border {
    border-color: Blue !important;
}

.new-view-background {
    background-color: #b68400bf !important;
}

.edit-view-background {
    background-color: #4c83b2ab !important;
}



.form-pro-background {
    background-color: #1a98004d !important;
    border-color: red !important;
}

.form-pro-parent-background {
    background-color: #0819054d !important;
    border-color: red !important;
}
